%define	upstream_name	 BFD
%define	upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Impromptu dumping of data structures for debugging purposes  
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RB/RBS/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch:       noarch


%description
Allows for impromptu dumping of output to STDERR. Useful when you want to take
a peek at a nest Perl data structure by emitting (relatively) nicely formatted
output with filename and line number prefixed to each line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES README
%{perl_vendorlib}/BFD.pm
%{_mandir}/man3/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.310.0-10.mga9
+ Revision: 1802139
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.310.0-9.mga8
+ Revision: 1492910
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.310.0-8.mga7
+ Revision: 1265759
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.310.0-7.mga6
+ Revision: 1022699
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.310.0-6.mga6
+ Revision: 946992
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-5.mga5
+ Revision: 747273
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-4.mga5
+ Revision: 683595
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-3.mga4
+ Revision: 509268
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 363357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.310.0-1.mga1
+ Revision: 32735
- mageia rebuild
- imported package perl-BFD


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.310.0-1mdv2010.1
+ Revision: 504586
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.31-7mdv2010.0
+ Revision: 430265
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.31-6mdv2009.0
+ Revision: 255400
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.31-4mdv2008.1
+ Revision: 131173
- kill re-definition of %%buildroot on Pixel's request


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.31-4mdv2007.0
+ Revision: 73330
- import perl-BFD-0.31-4mdv2007.0

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-4mdv2007.0
- Rebuild

* Thu Feb 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-3mdk
- spec cleanup
- fix directory ownership
- %%{1}mdv2007.1
- better description and url

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.31-2mdk
- rebuild for new perl

* Thu Apr 29 2004 Michael Scherer <misc@mandrake.org> 0.31-1mdk 
- first version

